package com.caimei.www.service.page.impl;

import com.caimei.www.mapper.ProductDao;
import com.caimei.www.pojo.page.ProductDetail;
import com.caimei.www.service.page.ProductService;
import com.caimei.www.utils.ImageUtil;
import com.caimei.www.utils.PriceUtil;
import io.netty.util.internal.StringUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;


/**
 * Description
 *
 * @author : Charles
 * @date : 2020/7/8
 */
@Slf4j
@Service
public class ProductServiceImpl implements ProductService {
    @Value("${caimei.wwwDomain}")
    private String domain;
    @Resource
    private ProductDao productDao;

    /**
     * 根据商品Id获取详情
     *
     * @param productId
     * @return
     */
    @Override
    public ProductDetail getProductDetailById(Integer productId) {
        ProductDetail product = productDao.getProductDetailById(productId);
        log.info(product.getName());
        if (null != product) {
            if (!StringUtil.isNullOrEmpty(product.getTags())) {
                product.setTagList(product.getTags().split(","));
            }
            product.setImage(ImageUtil.getImageURL("product", product.getImage(), 0, domain));
            // 价格等级
            product.setPriceGrade(PriceUtil.getpriceGrade(product.getPrice()));
        }
        return product;
    }

}
